> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 分页查询子账户

> 分页查询出子账户。

## 概述

本页说明 `GET /merchant/open/institution/v1/accounts/list` 接口。完整的请求参数、响应结构与示例由上方关联的 OpenAPI 定义渲染。

## 说明

* 认证方式使用 GatePay 标准签名请求头。
* 这个机构专属接口不使用 `X-GatePay-On-Behalf-Of`。
* 通用签名规则请参见 [/api-reference/version/100/cn/common/securityAndSignature](/api-reference/version/100/cn/common/securityAndSignature)。


## OpenAPI

````yaml api-reference/version/100/cn/openapi/institutional-openapi.json GET /merchant/open/institution/v1/accounts/list
openapi: 3.1.0
info:
  title: GatePay 机构 API
  description: Gate Pay 机构 API 接口文档
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://openplatform.gateapi.io
security: []
paths:
  /merchant/open/institution/v1/accounts/list:
    get:
      summary: 分页查询子账户
      description: 分页查询出子账户。
      parameters:
        - $ref: '#/components/parameters/X-GatePay-Certificate-ClientId'
        - $ref: '#/components/parameters/X-GatePay-Timestamp'
        - $ref: '#/components/parameters/X-GatePay-Nonce'
        - $ref: '#/components/parameters/X-GatePay-Signature'
        - name: status
          in: query
          required: false
          description: 状态 已创建-ACTIVE
          schema:
            type: string
            enum:
              - ACTIVE
        - name: request_id
          in: query
          required: false
          description: 创建申请单号
          schema:
            type: string
            example: '35778162074976257'
        - name: customer_id
          in: query
          required: false
          description: 平台侧客户 ID
          schema:
            type: string
        - name: created_gte
          in: query
          required: false
          description: 创建时间毫秒时间戳 ≥
          schema:
            type: integer
            format: int64
        - name: created_lte
          in: query
          required: false
          description: 创建时间毫秒时间戳 ≤
          schema:
            type: integer
            format: int64
        - name: limit
          in: query
          required: false
          description: 分页大小，默认20，最大200
          schema:
            type: integer
            default: 20
            maximum: 200
            example: 20
        - name: cursor
          in: query
          required: false
          description: 页码，从1开始
          schema:
            type: integer
            example: 1
      responses:
        '200':
          description: 成功
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListSubAccountsResponseWrapper'
              examples:
                success:
                  summary: 响应示例
                  value:
                    status: SUCCESS
                    code: '000000'
                    errorMessage: ''
                    data:
                      accounts:
                        - request_id: '35778162074976257'
                          account_id: '2124543768'
                          customer_id: '1234'
                          display_name: my test
                          status: ACTIVE
                          created: 1764139266551
                      has_more: false
components:
  parameters:
    X-GatePay-Certificate-ClientId:
      name: X-GatePay-Certificate-ClientId
      in: header
      required: true
      description: 商户在Gate商户后台注册应用时分配的clientId
      schema:
        type: string
        example: 4186d0c6-6a35-55a9-8dc6-5312769dbff8
    X-GatePay-Timestamp:
      name: X-GatePay-Timestamp
      in: header
      required: true
      description: 请求生成时的UTC时间戳，milliseconds。请注意，GatePay不处理收到请求时间与这个时间戳差距大于10秒钟的请求
      schema:
        type: string
        example: '1672905655498'
    X-GatePay-Nonce:
      name: X-GatePay-Nonce
      in: header
      required: true
      description: 随机字符串，字符符合HTTP Header头部的规范，建议长度在32个字符以内，字符串组成为数字和字母
      schema:
        type: string
        example: '9578'
    X-GatePay-Signature:
      name: X-GatePay-Signature
      in: header
      required: true
      description: 请求签名。GatePay通过此签名来确定此请求是否合法
      schema:
        type: string
  schemas:
    ListSubAccountsResponseWrapper:
      type: object
      properties:
        status:
          type: string
        code:
          type: string
        errorMessage:
          type: string
        data:
          $ref: '#/components/schemas/ListSubAccountsResponse'
    ListSubAccountsResponse:
      type: object
      properties:
        accounts:
          type: array
          items:
            $ref: '#/components/schemas/AccountInfo'
          description: 子账户列表
        has_more:
          type: boolean
          description: 是否还有下一页
    AccountInfo:
      type: object
      properties:
        request_id:
          type: string
          description: 创建申请单号
        account_id:
          type: string
          description: 子账户 ID
        customer_id:
          type: string
          description: 平台侧客户 ID
        display_name:
          type: string
          description: 展示名
        status:
          type: string
          description: 账户状态 初始态-INIT 处理中-PENDING 已创建-ACTIVE 创建失败-FAIL
        created:
          type: integer
          format: int64
          description: 创建时间（毫秒）

````